module command.remoteundostatusmacro.stereooffcommand;

import command.remoteundostatusmacro.command;
import command.remoteundostatusmacro.stereo;

class StereoOffCommand : Command
{
    Stereo stereo;
 
    this(Stereo stereo)
    {
        this.stereo = stereo;
    }
 
    void execute()
    {
        stereo.off();
    }

    void undo()
    {
        stereo.on();
        stereo.setCD();
        stereo.setVolume(11);
    }
}
